experiments.droneControl

## Class ControlModel

- java.lang.Object
- - experiments.droneControl.ControlModel

    public class ControlModel
    extends java.lang.Object

The Class ControlModel.

### Constructor Summary

Constructors
Constructor and Description
`ControlModel(java.lang.String act, float thd)` Instantiates a new control model.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `displayModel()` Display model.
`void` `learn(java.util.HashMap<java.lang.String,java.lang.Double> endogenousFeedback)` Learn.
`double` `request(java.util.HashMap<java.lang.String,java.lang.Double> endogenousFeedback)` Request.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControlModel

    public ControlModel(java.lang.String act,
                        float thd)

Instantiates a new control model.

Parameters:
  `act` - the act
  `thd` - the thd

### Method Detail

#### learn

    public void learn(java.util.HashMap<java.lang.String,java.lang.Double> endogenousFeedback)

Learn.

Parameters:
  `endogenousFeedback` - the endogenous feedback

#### request

    public double request(java.util.HashMap<java.lang.String,java.lang.Double> endogenousFeedback)

Request.

Parameters:
  `endogenousFeedback` - the endogenous feedback
Returns:
  the double

#### displayModel

    public void displayModel()

Display model.